Bug 818683 - write tests that verify the metadata update code supports changing a ResourceType's category from SERVER to SERVICE or from SERVICE to SERVER
write tests that verify the metadata update code supports changing a Resource...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.3
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 14:03 EDT by Ian Springer
Modified: 2015-02-01 18:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-03 14:03:00 EDT
The support for changing a type's category was added as part of bug 810342. We just need to write some automated tests for this functionality.
Comment 1 Mike Foley 2012-05-08 15:33:39 EDT
per BZ triage ... crouch, loleary, foley
Comment 3 Charles Crouch 2012-08-02 16:15:12 EDT
Unassigning from Ian. Since there isn't anywhere in the product that actually takes advantage of this feature, my suggestion is to have target this at master and have the tests added for RHQ4.5
Comment 4 Charles Crouch 2012-08-29 12:09:50 EDT
As per 8/20 triage 8/20 pushing to JON312
Comment 5 mark yarborough 2012-11-20 15:46:00 EST
Per triage with loleary, crouch, mfoley: Move to JBoss ON product, set target release JON 3.2, clear priority (will be subject to further triage in JON 3.2 timeframe).
Comment 6 Larry O'Leary 2012-11-21 17:55:31 EST
As per comment 3, re-targeted to RHQ 4.6 as this in not JBoss ON specific.
Comment 8 Jay Shaughnessy 2013-09-12 11:54:27 EDT
Unassigning target release for future triage.

Note You need to log in before you can comment on or make changes to this bug.